Bug 978515 - binutils fail to build from src.rpm
binutils fail to build from src.rpm
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
21
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Nick Clifton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 14:00 EDT by Marian
Modified: 2015-12-02 11:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:48:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Content of /var/tmp (6.29 KB, application/x-shellscript)
2013-06-26 14:00 EDT, Marian
no flags Details
run on terminal rpmbuild -ba binutils.spec 2>&1 > binutilerror (1.16 MB, text/plain)
2013-07-23 17:04 EDT, Marian
no flags Details
Just copy from terminal (45.69 KB, text/plain)
2013-07-23 17:13 EDT, Marian
no flags Details

  None (edit)
Description Marian 2013-06-26 14:00:12 EDT
Created attachment 765721 [details]
Content of /var/tmp

Description of problem:


Version-Release number of selected component (if applicable):
binutils-2.23.52.0.1-8.fc19.src.rpm

How reproducible:


Steps to Reproduce:
1.On ~/rpmbuild/SPECS run rpmbuild -ba binutils.spec
2.
3.

Actual results:
Exit whith errors

Expected results:
Exit without errors

Additional info:
Comment 1 Karsten Hopp 2013-07-23 08:04:41 EDT
This doesn't show the error at all. Please attach the output of
rpmbuild -ba binutils.spec
Comment 2 Marian 2013-07-23 17:04:49 EDT
Created attachment 777476 [details]
run on terminal rpmbuild -ba binutils.spec 2>&1 > binutilerror
Comment 3 Marian 2013-07-23 17:13:47 EDT
Created attachment 777477 [details]
Just copy from terminal
Comment 4 Zbigniew Jędrzejewski-Szmek 2014-01-19 18:57:26 EST
I'm seeing the same error with http://pkgs.fedoraproject.org/cgit/binutils.git/commit/?id=7c1c0bf. Compilation fails with:

+ /usr/lib/rpm/check-rpaths
...
ERROR   0001: file '/usr/bin/ld.bfd' contains a standard rpath '/usr/lib64' in [/usr/lib64]
...
Comment 5 Zbigniew Jędrzejewski-Szmek 2014-01-19 18:58:07 EST
Forgot to add: the same error ... in F20.
Comment 6 Fedora End Of Life 2015-01-09 13:33:06 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Zbigniew Jędrzejewski-Szmek 2015-01-09 14:52:03 EST
Still FTBS on F21:

$ fedpkg local
...
+ /usr/lib/rpm/check-rpaths
*******************************************************************************
*
* WARNING: 'check-rpaths' detected a broken RPATH and will cause 'rpmbuild'
*          to fail. To ignore these errors, you can set the '$QA_RPATHS'
*          environment variable which is a bitmask allowing the values
*          below. The current value of QA_RPATHS is 0x0000.
*
*    0x0001 ... standard RPATHs (e.g. /usr/lib); such RPATHs are a minor
*               issue but are introducing redundant searchpaths without
*               providing a benefit. They can also cause errors in multilib
*               environments.
*    0x0002 ... invalid RPATHs; these are RPATHs which are neither absolute
*               nor relative filenames and can therefore be a SECURITY risk
*    0x0004 ... insecure RPATHs; these are relative RPATHs which are a
*               SECURITY risk
*    0x0008 ... the special '$ORIGIN' RPATHs are appearing after other
*               RPATHs; this is just a minor issue but usually unwanted
*    0x0010 ... the RPATH is empty; there is no reason for such RPATHs
*               and they cause unneeded work while loading libraries
*    0x0020 ... an RPATH references '..' of an absolute path; this will break
*               the functionality when the path before '..' is a symlink
*          
*
* Examples:
* - to ignore standard and empty RPATHs, execute 'rpmbuild' like
*   $ QA_RPATHS=$[ 0x0001|0x0010 ] rpmbuild my-package.src.rpm
* - to check existing files, set $RPM_BUILD_ROOT and execute check-rpaths like
*   $ RPM_BUILD_ROOT=<top-dir> /usr/lib/rpm/check-rpaths
*  
*******************************************************************************
ERROR   0001: file '/usr/bin/ld.bfd' contains a standard rpath '/usr/lib64' in [/usr/lib64]
error: Bad exit status from /var/tmp/rpm-tmp.PiA2WL (%install)
Comment 8 Fedora End Of Life 2015-11-04 09:17:27 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-12-01 21:48:43 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.